JoinVREPortlet (gCube Join VRE Portlet 2.0.0-SNAPSHOT API)
Date: 2016-03-17

org.gcube.portlets.user.joinvre.server.portlet

## Class JoinVREPortlet

- java.lang.Object
- - javax.portlet.GenericPortlet
  - - org.gcube.portlets.user.joinvre.server.portlet.JoinVREPortlet

- All Implemented Interfaces:
    javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet

      public class JoinVREPortlet
      extends javax.portlet.GenericPortlet

  Author:
    Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it, Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinVREPortlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doView(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
    `void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`

    - ### Methods inherited from class javax.portlet.GenericPortlet

      `destroy, doDispatch, doEdit, doHeaders, doHelp, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, init, processEvent, render, serveResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JoinVREPortlet

          public JoinVREPortlet()

  - ### Method Detail

    - #### doView

          public void doView(javax.portlet.RenderRequest request,
                    javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doView` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### processAction

          public void processAction(javax.portlet.ActionRequest request,
                           javax.portlet.ActionResponse response)
                             throws javax.portlet.PortletException,
                                    IOException

      Specified by:
        `processAction` in interface `javax.portlet.Portlet`
      Overrides:
        `processAction` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

Copyright © 2016. All Rights Reserved.